%define	upstream_name    DateTime-Locale
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      2

Summary:    Localization support for DateTime
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
The DateTime::Locale perl module is primarily a factory for the various locale
subclasses used by DateTime. It also provides some functions for getting
information on available locales.

If you want to know what methods are available for locale objects, then please
read the DateTime::Locale::Base documentation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor destdir=%{buildroot}
%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml eg
%{perl_vendorlib}/DateTime
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2:1.30.0-2.mga6
+ Revision: 1025298
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2:1.30.0-1.mga6
+ Revision: 1001801
- update to 1.03

* Sat Jan 16 2016 shlomif <shlomif> 2:1.20.0-1.mga6
+ Revision: 923752
- update to 1.02

* Mon Sep 28 2015 sander85 <sander85> 2:0.920.0-1.mga6
+ Revision: 884511
- update to 0.92

* Sat Jul 04 2015 sander85 <sander85> 2:0.460.0-1.mga6
+ Revision: 850474
- update to 0.46

* Wed Oct 15 2014 umeabot <umeabot> 2:0.450.0-6.mga5
+ Revision: 746073
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2:0.450.0-5.mga5
+ Revision: 735512
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2:0.450.0-4.mga5
+ Revision: 684288
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2:0.450.0-3.mga4
+ Revision: 510748
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2:0.450.0-2.mga3
+ Revision: 365665
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 2:0.450.0-1.mga1
+ Revision: 31893
- mageia rebuild
- imported package perl-DateTime-Locale


* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 2:0.450.0-1mdv2010.1
+ Revision: 526444
- update to 0.45

* Mon Sep 14 2009 Jérôme Quelin <jquelin@mandriva.org> 2:0.440.0-1mdv2010.0
+ Revision: 439431
- update to 0.44

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 2:0.430.0-1mdv2010.0
+ Revision: 406976
- rebuild using %%perl_convert_version

* Wed Jul 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2:0.43-1mdv2010.0
+ Revision: 391182
- update to new version 0.43

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2:0.42-1mdv2009.1
+ Revision: 292132
- update to new version 0.42

* Wed Jul 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2:0.41-1mdv2009.0
+ Revision: 236267
- fix build dependencies
- update to new version 0.41

* Tue Jan 22 2008 Jérôme Quelin <jquelin@mandriva.org> 2:0.35-2mdv2008.1
+ Revision: 156519
- force 5.10.0 rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2:0.35-1mdv2008.1
+ Revision: 98028
- update to new version 0.35
- update to new version 0.35

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 2:0.34-2mdv2008.0
+ Revision: 67817
- rebuild

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 2:0.34-1mdv2008.0
+ Revision: 19317
- 0.34


* Sun Jan 28 2007 Scott Karns <scottk@mandriva.org> 0.33-2mdv2007.0
+ Revision: 114571
- Bumped revision
- \- Updated source URL- Updated dependencies per META.yml- Fixed file ownership

* Mon Jan 08 2007 Olivier Thauvin <nanardon@mandriva.org> 2:0.33-1mdv2007.1
+ Revision: 106112
- 0.33

* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 2:0.32-1mdv2007.1
+ Revision: 93933
- 0.32
- Import perl-DateTime-Locale

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2:0.22-1mdk
- 0.22
- Make rpmbuildhappy

* Sat Apr 02 2005 Olivier Thauvin <nanardon@mandrake.org> 0.21-4mdk
- put epoch to get this package upload

* Sat Apr 02 2005 Olivier Thauvin <nanardon@mandrake.org> 0.21-3mdk
- create %%check section

* Sat Apr 02 2005 Olivier Thauvin <nanardon@mandrake.org> 0.21-2mdk
- BuildRequires

* Mon Mar 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.21-1mdk
- 0.21

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 0.09-2mdk
- BuildRequires

* Fri Aug 27 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.09-1mdk
- Initial MDK release.

